| Home | Libraries | People | FAQ | More

## Type definition niederreiter_base2

niederreiter_base2

## Synopsis

    // In header: <boost/random/niederreiter_base2.hpp>

    typedef niederreiter_base2_engine< boost::uint_least64_t, 64u, default_niederreiter_base2_table > niederreiter_base2;

## Description

| Note
This specialization of niederreiter_base2_engine supports up to 4720 dimensions.

Binary irreducible polynomials (primes in the ring `GF(2)[X]`, evaluated at `X=2`) were generated while condition `max(prime)` < 216 was satisfied.

There are exactly 4720 such primes, which yields a Niederreiter base 2 table for 4720 dimensions.

However, it is possible to provide your own table to niederreiter_base2_engine should the default one be insufficient.